import { MiniProgramCoreFactory as BaseFactory } from 'angular-miniprogram/platform/default';
declare class MiniProgramCoreFactory extends BaseFactory {
    eventPrefixList: {
        listener: string;
        prefix: string;
    }[];
    getListenerEventMapping(prefix: string, name: string): string[];
    addNgComponentLinkLogic(config: any): any;
}
export declare const MiniProgramCore: MiniProgramCoreFactory;
export { PAGE_TOKEN, MiniProgramRenderer, MiniProgramRendererFactory, ComponentFinderService, propertyChange, pageBind, } from 'angular-miniprogram/platform/default';


